VkObjectTableCreateInfoNVX Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
uint32_t | objectCount
const VkObjectEntryTypeNVX * | pObjectEntryTypes
const uint32_t * | pObjectEntryCounts
const VkObjectEntryUsageFlagsNVX * | pObjectEntryUsageFlags
uint32_t | maxUniformBuffersPerDescriptor
uint32_t | maxStorageBuffersPerDescriptor
uint32_t | maxStorageImagesPerDescriptor
uint32_t | maxSampledImagesPerDescriptor
uint32_t | maxPipelineLayouts

## Detailed Description

Definition at line 6869 of file vulkan_core.h.

## Field Documentation

## maxPipelineLayouts

uint32_t VkObjectTableCreateInfoNVX::maxPipelineLayouts

Definition at line 6880 of file vulkan_core.h.

## maxSampledImagesPerDescriptor

uint32_t VkObjectTableCreateInfoNVX::maxSampledImagesPerDescriptor

Definition at line 6879 of file vulkan_core.h.

## maxStorageBuffersPerDescriptor

uint32_t VkObjectTableCreateInfoNVX::maxStorageBuffersPerDescriptor

Definition at line 6877 of file vulkan_core.h.

## maxStorageImagesPerDescriptor

uint32_t VkObjectTableCreateInfoNVX::maxStorageImagesPerDescriptor

Definition at line 6878 of file vulkan_core.h.

## maxUniformBuffersPerDescriptor

uint32_t VkObjectTableCreateInfoNVX::maxUniformBuffersPerDescriptor

Definition at line 6876 of file vulkan_core.h.

## objectCount

uint32_t VkObjectTableCreateInfoNVX::objectCount

Definition at line 6872 of file vulkan_core.h.

## pNext

const void* VkObjectTableCreateInfoNVX::pNext

Definition at line 6871 of file vulkan_core.h.

## pObjectEntryCounts

const uint32_t* VkObjectTableCreateInfoNVX::pObjectEntryCounts

Definition at line 6874 of file vulkan_core.h.

## pObjectEntryTypes

const VkObjectEntryTypeNVX* VkObjectTableCreateInfoNVX::pObjectEntryTypes

Definition at line 6873 of file vulkan_core.h.

## pObjectEntryUsageFlags

const VkObjectEntryUsageFlagsNVX* VkObjectTableCreateInfoNVX::pObjectEntryUsageFlags

Definition at line 6875 of file vulkan_core.h.

## sType

VkStructureType VkObjectTableCreateInfoNVX::sType

Definition at line 6870 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h